Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.table.celleditor.rcp
Class BooleanCellEditorTester

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.table.celleditor.rcp.BooleanCellEditorTester

All Implemented Interfaces:
  ECPCellEditorTester

    public class BooleanCellEditorTester

extends Object
implements ECPCellEditorTester

Tester for `BooleanCellEditor`.

Author:
  jfaltermeier

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.edit.spi.swt.table.ECPCellEditorTester
`NOT_APPLICABLE`

Constructor Summary
`BooleanCellEditorTester()`

Method Summary
`int` | `isApplicable(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature feature, ViewModelContext viewModelContext)` Returns the priority of the corresponding celleditor for the combination of the `EObject` and the `EStructuralFeature`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanCellEditorTester

    public BooleanCellEditorTester()

Method Detail

### isApplicable

    public int isApplicable(org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.ecore.EStructuralFeature feature,
                            ViewModelContext viewModelContext)

  Returns the priority of the corresponding celleditor for the combination of the `EObject` and the `EStructuralFeature`.

  Specified by:
    `isApplicable` in interface `ECPCellEditorTester`
  Parameters:
    `eObject` - the `EObject` to test
    `feature` - the `EStructuralFeature` to test
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    `ECPCellEditorTester.NOT_APPLICABLE` if the corresponding celleditor should not be used, a positive integer value otherwise. The celleditor with the highest priority will be taken.
  See Also:
    `ECPCellEditorTester.isApplicable(EObject, EStructuralFeature, ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.